unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ImgList, Grids, DBGrids, PDJDBGridex, Db, DBTables, StdCtrls, ComCtrls,
  ExtCtrls, Buttons;

type
  TForm1 = class(TForm)
    ImageList1: TImageList;
    DataSource1: TDataSource;
    Table1: TTable;
    DataSource2: TDataSource;
    Table2: TTable;
    DataSource3: TDataSource;
    Table3: TTable;
    ImageList2: TImageList;
    PageControl1: TPageControl;
    TabSheet1: TTabSheet;
    TabSheet2: TTabSheet;
    TabSheet3: TTabSheet;
    PDJDBGridEx1: TPDJDBGridEx;
    PDJDBGridEx2: TPDJDBGridEx;
    PDJDBGridEx3: TPDJDBGridEx;
    Label2: TLabel;
    Panel1: TPanel;
    Label3: TLabel;
    ComboBox1: TComboBox;
    ComboBox2: TComboBox;
    Label4: TLabel;
    SpeedButton1: TSpeedButton;
    ColorDialog1: TColorDialog;
    Edit1: TEdit;
    UpDown1: TUpDown;
    Label1: TLabel;
    Label5: TLabel;
    CheckBox1: TCheckBox;
    Edit2: TEdit;
    UpDown2: TUpDown;
    CheckBox2: TCheckBox;
    Label6: TLabel;
    BitBtn1: TBitBtn;
    procedure FormCreate(Sender: TObject);
    procedure ComboBox1Change(Sender: TObject);
    procedure ComboBox2Change(Sender: TObject);
    procedure SpeedButton1Click(Sender: TObject);
    procedure UpDown1Changing(Sender: TObject; var AllowChange: Boolean);
    procedure UpDown2Click(Sender: TObject; Button: TUDBtnType);
    procedure CheckBox1Click(Sender: TObject);
    procedure CheckBox2Click(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin
ComboBox1.Itemindex:=2;
ComboBox2.Itemindex:=2;
end;

procedure TForm1.ComboBox1Change(Sender: TObject);
begin
Case ComboBox1.ItemIndex of
0:PDJDBGridEx1.ShowGraphic:=fvNone;
1:PDJDBGridEx1.ShowGraphic:=fvLikeSimbol;
2:PDJDBGridEx1.ShowGraphic:=fvFull;
end;
end;

procedure TForm1.ComboBox2Change(Sender: TObject);
begin
Case ComboBox2.ItemIndex of
0:PDJDBGridEx1.ShowMemo:=fvNone;
1:PDJDBGridEx1.ShowMemo:=fvLikeSimbol;
2:PDJDBGridEx1.ShowMemo:=fvFull;
end;
end;

procedure TForm1.SpeedButton1Click(Sender: TObject);
begin
if ColorDialog1.execute then
pdjdbgridex1.GridLineColor:=ColorDialog1.Color
end;

procedure TForm1.UpDown1Changing(Sender: TObject;
  var AllowChange: Boolean);
begin
pdjdbgridex1.RowHeight:=UpDown1.Position
end;

procedure TForm1.UpDown2Click(Sender: TObject; Button: TUDBtnType);
begin
pdjdbgridex1.RowTitleHeight:=UpDown2.Position
end;

procedure TForm1.CheckBox1Click(Sender: TObject);
begin
pdjdbgridex1.GradientTitle:=CheckBox1.Checked;
end;

procedure TForm1.CheckBox2Click(Sender: TObject);
begin
if PDJDBGridEx2.SelectedField.FieldName='VendorNo' then
PDJDBGridEx2.PDJDBGridExColumn[PDJDBGridEx2.SelectedIndex].ShowLikeProgress:=CheckBox2.checked;
end;

procedure TForm1.BitBtn1Click(Sender: TObject);
begin
PDJDBGridEx3.TransferToFiles
end;

end.
